//---------------------------------------------------------------------
#include "MainWindow.h"
//---------------------------------------------------------------------
BAppMainWindow::BAppMainWindow(BRect frame,const char *title)
	:BWindow(frame,title,MAINWINDOW_WINDOWSTYLE,0)
{
	mainview=new BAppMainView(Bounds());	
	AddChild(mainview);
}
//---------------------------------------------------------------------
void BAppMainWindow::MessageReceived(BMessage *msg)
{
	switch(msg->what)
	{
		case MSG_COPY:
			mainview->strview->SetText(mainview->textctrl->Text());
			break;
		default:
			BWindow::MessageReceived(msg);
	}
}
//---------------------------------------------------------------------
BAppMainView::BAppMainView(BRect frame)
	:BView(frame,"bappmainview",B_FOLLOW_ALL,B_WILL_DRAW)
{
	BRect viewrect(Bounds());
	BButton *copybtn=new BButton(BRect(viewrect.right-72,68,
	                                   viewrect.right-8,88),"copybtn",
	                             "COPY!!",new BMessage(MSG_COPY),
	                             B_FOLLOW_RIGHT | B_FOLLOW_TOP);
	AddChild(copybtn);

	textctrl=new BTextControl(BRect(8,8,viewrect.right-8,28),"textctrl",
	                           NULL,"Default",NULL,
	                           B_FOLLOW_LEFT_RIGHT | B_FOLLOW_TOP);
	AddChild(textctrl);

	strview=new BStringView(BRect(8,38,viewrect.right-8,58),"strview",
	                        "NoData",
	                        B_FOLLOW_LEFT_RIGHT | B_FOLLOW_TOP);
	AddChild(strview);
}
//---------------------------------------------------------------------
